﻿@model IEnumerable<BeerOverFlow.Models.BeerViewModel>

@{
    ViewData["Title"] = "BreweryDetails";
}

    <div class="text-center">


        <form asp-controller="Beers" asp-action="FilterByName">

            <label class="radio-inline">
                <input type="radio" name="optradio" value="name" id="FilterByName" checked>Filter By Name
            </label>
            @*<label class="radio-inline">
                <input type="radio" name="optradio" value="country" id="FilterByCountry">Filter By Country
            </label>*@
            <label class="radio-inline">
                <input type="radio" name="optradio" value="style" id="FilterByStyle"> Filter By Style
            </label>
            @*<label class="radio-inline">
                <input type="radio" name="optradio" value="styleandcountry" id="FilterByStyleАndCountry"> Filter By Style And Country
            </label>*@
            <p>
                Title: <input type="search" name="searchString">

                <input type="submit" value="Filter" />

            </p>
        </form>

        @* <button onclick="myFunction()">Advanced Options</button>*@


        @*<p>
            <a asp-controller="Beers" asp-action="CreateBeer">Create New</a>
        </p>*@
        <table class="table">
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.BeerName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.BreweryName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.CountryName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.StyleName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Abv)
                    </th>
                    <th>DeleteBeer</th>
                    <th>EditBeer</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            <a asp-controller="Beers" asp-action="BeerDetails" asp-route-id="@item.BeerId">
                                @Html.DisplayFor(modelItem => item.BeerName)
                            </a>
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.BreweryName)

                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.CountryName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.StyleName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Abv)
                        </td>
                        <td>
                            <a asp-action="DeleteBeer" asp-route-id="@item.BeerId">Delete</a>
                        </td>
                        <td>
                            <a asp-controller="Beers" asp-action="EditBeer" asp-route-id="@item.BeerId">Edit</a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>